%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Fatal
Version:       0.013
Release:       1mamba
Summary:       Incredibly simple helpers for testing code with exceptions 
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Test-Fatal-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
BuildRequires: perl-Try-Tiny
## AUTOBUILDREQ-END
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Incredibly simple helpers for testing code with exceptions.

%prep
%setup -q -n Test-Fatal-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE README

%changelog
* Fri Dec 27 2013 Automatic Build System <autodist@mambasoft.it> 0.013-1mamba
- automatic update by autodist

* Thu Sep 19 2013 Automatic Build System <autodist@mambasoft.it> 0.012-1mamba
- automatic update by autodist

* Sun Nov 18 2012 Automatic Build System <autodist@mambasoft.it> 0.010-1mamba
- automatic version update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.008-2mamba
- perl 5.16 mass rebuild

* Wed Nov 16 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.008-1mamba
- package created by autospec
